org.apache.cassandra.streaming

## Class StreamManager.StreamRateLimiter

- java.lang.Object
- - org.apache.cassandra.streaming.StreamManager.StreamRateLimiter

- Enclosing class:
    StreamManager

      public static class StreamManager.StreamRateLimiter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRateLimiter(java.net.InetAddress peer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acquire(int toTransfer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamRateLimiter

          public StreamRateLimiter(java.net.InetAddress peer)

  - ### Method Detail

    - #### acquire

          public void acquire(int toTransfer)

Copyright © 2018 The Apache Software Foundation